%define	subrel 2

Summary:	Dropbox extension for Nautilus
Name:		nautilus-dropbox
Version: 	0.7.1
Release: 	%mkrel 1
Source0: 	http://linux.dropbox.com/packages/%name-%version.tar.bz2
License: 	GPLv2+ and CC-BY-ND
Group: 		Graphical desktop/GNOME
Url: 		http://dropbox.com/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	nautilus-devel libnotify-devel pygtk2.0-devel python-docutils
Requires:	nautilus wget libnotify
Suggests:       python-gpgme

%description 
Dropbox extension for Nautilus.

%files
%defattr(-,root,root)
%doc README.urpmi
%_datadir/nautilus-dropbox
%_libdir/nautilus/extensions-2.0/libnautilus-dropbox.so
%_iconsdir/hicolor/*/*/*
%_bindir/*
%_datadir/applications/*
%_mandir/man1/dropbox*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

rm -f %buildroot%_libdir/nautilus/extensions-2.0/*.la
rm -f %buildroot%_iconsdir/hicolor/*/*/*.icon

# (dams)
# conflict with libz dowloaded by the package and with libz installed on system
# need to remove the one installed by the package to have GUI working
cat > README.urpmi << EOF

-------------------------- Description -------------------------------

This package allows you to configure your computer to make a
synchronization between your Dropbox account and the directory
of your choice. A GUI is proposed and a deamon will be launched.

This package only contains the tool to download the Dropbox program!
Dropbox program will be updated by itself!

---------------------------- Warning ---------------------------------

To start the daemon:
- $ dropbox start -i
As there is a conflict between 'libz' downloaded by dropbox and 'libz'
installed on the system:
- $ dropbox stop
- rm -f ~/.dropbox-dist/libz.so.1
- $ dropbox start
For more help:
- $ dropbox help
In case you would encounter a problem again, check that an update did
not download again 'libz.so.1' in '~/.dropbox-dist/'.
EOF

%clean
rm -rf %{buildroot}


%changelog

* Tue Mar 20 2012 dams <dams> 0.7.1-1.2.mga1
+ Revision: 225054
- update package to make it work and add README file to fix mga #3641

  + ofaurax <ofaurax>
    - version 0.6.8

* Fri Apr 08 2011 dams <dams> 0.6.7-1.mga1
+ Revision: 82193
- Clean specfile as license images changed since 0.6.3 and update to 0.6.7
- imported package nautilus-dropbox


* Tue Sep 29 2009 Juan Luis Baptiste <juancho@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 450990
- Added python-docutils to buildRequires.
- Added pygtk2.0-devel to buidRequires to fix compilation on x86_64.
- Updated to 0.6.1

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-3mdv2010.0
+ Revision: 440237
- rebuild

* Sun Jan 25 2009 Funda Wang <fundawang@mandriva.org> 0.5.0-2mdv2009.1
+ Revision: 333526
- fix group and url
- refresh icons with free ones

* Sun Jan 25 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 333507
- import nautilus-dropbox


